%define fw_version 5.24

Summary:	KDE Frameworks 5 configuration dialogs widgets module
Name:		kconfigwidgets
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5auth-devel >= %{version}
BuildRequires:	kf5codecs-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5guiaddons-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 configuration dialogs widgets module.

KConfigWidgets provides easy-to-use classes to create configuration dialogs,
as well as a set of widgets which uses KConfig to store their settings.

%files
%{_kde5_bindir}/preparetips5
%{_kde5_mandir}/man1/preparetips5.1*

#----------------------------------------------------------------------------

%package i18n
Summary:	KConfigWidgets translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KConfigWidgets translations.

%files i18n -f %{name}.lang
%{_localedir}/*/kf5_entry.desktop

#----------------------------------------------------------------------------

%define kf5configwidgets_major 5
%define libkf5configwidgets %mklibname kf5configwidgets %{kf5configwidgets_major}

%package -n %{libkf5configwidgets}
Summary:	KDE Frameworks 5 configuration dialogs widgets shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5configwidgets}
KDE Frameworks 5 configuration dialogs widgets shared library.

%files -n %{libkf5configwidgets}
%{_kde5_libdir}/libKF5ConfigWidgets.so.%{kf5configwidgets_major}*

#----------------------------------------------------------------------------

%define devkf5configwidgets %mklibname kf5configwidgets -d

%package -n %{devkf5configwidgets}
Summary:	Development files for KDE Frameworks 5 configuration dialogs widgets module
Group:		Development/KDE and Qt
Requires:	%{libkf5configwidgets} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5configwidgets-devel = %{version}

%description -n %{devkf5configwidgets}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5configwidgets}
%{_kde5_includedir}/KF5/KConfigWidgets
%{_kde5_includedir}/KF5/kconfigwidgets_version.h
%{_kde5_libdir}/cmake/KF5ConfigWidgets
%{_kde5_libdir}/libKF5ConfigWidgets.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt --with-man

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (6b28595) New version 5.24.0


